\documentclass[10pt]{scrartcl}
\usepackage[utf8]{inputenc}
\usepackage{amsmath,amssymb}
\usepackage{graphicx}
\usepackage[a4paper,width=150mm,top=25mm,bottom=25mm]{geometry}
\usepackage{enumerate} %Roman enumeration
\usepackage{dsfont}
\usepackage{sectsty}
\usepackage{mathtools}
\usepackage{float}
\usepackage{physics}
\usepackage{slashed}
\usepackage{pdfpages}
\usepackage{hyperref}
\renewcommand*{\thepage}{\large\arabic{page}}

\allsectionsfont{\centering}

% New commands
\newcommand*{\QED}{\hfill\ensuremath{\blacksquare}}%
\newcommand*{\QEDB}{\hfill\ensuremath{\square}}%
\renewcommand*{\i}{\mathrm{i}}%
\newcommand*{\allimplies}{\big\} \hspace*{-0.2cm} \implies }%
\newcommand\hteq{\mathrel{\stackrel{\makebox[0pt]{\mbox{\normalfont\tiny !}}}{=}}}
\newcommand\oneeq{\mathrel{\stackrel{\makebox[0pt]{\mbox{\normalfont\tiny (i)}}}{=}}}
\newcommand\psibar{\overline \psi}
\newcommand\del{\partial}
\newcommand\delslash{\slashed \del}
\renewcommand\comm[2]{\left[#1,\ #2\right]}
\renewcommand\acomm[2]{\left\{#1,\ #2\right\}}
\newcommand\cst{\text{cst.}}

\begin{document}
% Original sheet
\includepdf[pages=-]{sheet11.pdf}
% Exercise 1
%\iffalse
\noindent\rule{\textwidth}{2pt}
\begin{align*}
\text{Feynman-integrals: } \frac 1{A^\alpha B^\beta} = \frac{\Gamma(\alpha + \beta)}{\Gamma(\alpha) \Gamma(\beta)} \int_0^1 dx x^{\alpha-1} (1-x)^{\beta-1}[Ax + B(1-x)]^{-(\alpha + \beta)}
\end{align*}
\textbf{Exercise 1a) -- Solution:}\\\
\begin{addmargin}[1cm]{0cm}
\begin{flalign*}
\int d^dk & (-k^2)^{-\lambda_1} (-(q-k)^2)^{-\lambda_2} &&\\
=& \frac{\Gamma(\lambda_1 + \lambda_2)}{\Gamma(\lambda_1) \Gamma(\lambda_2)} \underbrace{\int_0^1 dx\ x^{\lambda_1-1} (1-x)^{\lambda_2-1} \underbrace{\int d^dk [-k^2x -(q-k)^2(x-1)]^{-(\lambda_1 + \lambda_2)}}_{I_1}}_{I_2} \eqqcolon I
\end{flalign*}
\begin{flalign*}
I_1 =& \int d^d k [-k^2x -(q-k)^2(1-x)]^{-(\lambda_1 + \lambda_2)}&&\\
=& \int d^d k [-k^2 + (2kq-q^2)(1-x)]^{-(\lambda_1 + \lambda_2)}\\
=& \int d^d k [-(k - (1-x)q)^2 + q^2(1-x)^2 -q^2(1-x)]^{-(\lambda_1 + \lambda_2)}\\
=& \int d^d k [-k^2 + q^2(1-x)^2 -q^2(1-x)]^{-(\lambda_1 + \lambda_2)}\\
=& \i \int d^d k_E [k_E^2 + \Delta]^{-(\lambda_1 + \lambda_2)} &&\text{with $k \to \i k_E$ and $\Delta = -q^2x(1-x)$}\\
=& \i \frac{(2\pi)^d}{(4\pi)^{d/2}} \frac{\Gamma(\lambda_1 + \lambda_2 - d/2)}{\Gamma(\lambda_1 + \lambda_2)} \Delta^{d/2 - \lambda_1 - \lambda_2} &&\text{see also Peskin p.251 or p.807}\\
\end{flalign*}
\begin{flalign*}
\int_0^1 dx&\ x^{\lambda_1-1} (1-x)^{\lambda_2-1} \Delta^{d/2 - \lambda_1 - \lambda_2} = (-q^2)^{d/2 - \lambda_1 - \lambda_2}\int_0^1 dx\ x^{d/2 - \lambda_2 - 1} (1-x)^{d/2 - \lambda_1 - 1} &&\\
=& (-q^2)^{d/2 - \lambda_1 - \lambda_2} \frac{\Gamma(d/2 - \lambda_1)\Gamma(d/2 - \lambda_2)}{\Gamma(d - \lambda_1 - \lambda_2)}
\end{flalign*}
\begin{flalign*}
\Rightarrow I =& \i \pi^{d/2} \frac{\Gamma(2-\epsilon -\lambda_1) \Gamma(2-\epsilon -\lambda_2) \Gamma(\lambda_1 + \lambda_2 +\epsilon - 2)}{\Gamma(\lambda_1) \Gamma(\lambda_2) \Gamma(4 -\lambda_1 - \lambda_2 - 2\epsilon) (-q^2)^{\lambda_1 + \lambda_2 + \epsilon - 2}}&&
\end{flalign*}
\QEDB
\end{addmargin}

\noindent\rule{\textwidth}{1pt}
\textbf{Exercise 1b) -- Solution:}\\\
\begin{addmargin}[1cm]{0cm}
\begin{flalign*}
\int d^dk & (-k^2)^{-\lambda_1} (-k^2 + 2pk)^{-\lambda_2} &&\\
=& \frac{\Gamma(\lambda_1 + \lambda_2)}{\Gamma(\lambda_1) \Gamma(\lambda_2)} \underbrace{\int_0^1 dx\ x^{\lambda_1-1} (1-x)^{\lambda_2-1} \underbrace{\int d^dk [-k^2x +(-k^2 + 2kp)(1-x)]^{-(\lambda_1 + \lambda_2)}}_{I_1}}_{I_2} \eqqcolon I
\end{flalign*}
\begin{flalign*}
I_1 =& \int d^d k [-k^2x + (-k^2 + 2kp)(1-x)]^{-(\lambda_1 + \lambda_2)}&&\\
=& \int d^d k [-k^2 + 2kp(1-x)]^{-(\lambda_1 + \lambda_2)}\\
=& \int d^d k [-(k - (1-x)p)^2 + p^2(1-x)^2]^{-(\lambda_1 + \lambda_2)}\\
=& \int d^d k [-k^2 + p^2(1-x)^2]^{-(\lambda_1 + \lambda_2)}\\
=& \i \int d^d k_E [k_E^2 + \Delta]^{-(\lambda_1 + \lambda_2)} &&\text{with $k \to \i k_E$ and $\Delta = p^2(1-x)^2$}\\
=& \i \frac{(2\pi)^d}{(4\pi)^{d/2}} \frac{\Gamma(\lambda_1 + \lambda_2 - d/2)}{\Gamma(\lambda_1 + \lambda_2)} \Delta^{d/2 - \lambda_1 - \lambda_2}\\
\end{flalign*}
\begin{flalign*}
\int_0^1 dx&\ x^{\lambda_1-1} (1-x)^{\lambda_2-1} \Delta^{d/2 - \lambda_1 - \lambda_2} = (p^2)^{d/2 - \lambda_1 - \lambda_2}\int_0^1 dx\ x^{\lambda_1 - 1} (1-x)^{d - 2\lambda_1 - \lambda_2 - 1} &&\\
=& (p^2)^{d/2 - \lambda_1 - \lambda_2} \frac{\Gamma(\lambda_1)\Gamma(d - 2\lambda_1 - \lambda_2)}{\Gamma(d - \lambda_1 - \lambda_2)}
\end{flalign*}
\begin{flalign*}
\Rightarrow I =& \i \pi^{d/2} \frac{\Gamma(\lambda_1 + \lambda_2 + \epsilon - 2) \Gamma(4 - 2\lambda_1 - \lambda_2 - 2\epsilon) }{\Gamma(\lambda_2) \Gamma(4 -\lambda_1 - \lambda_2 - 2\epsilon) (p^2)^{\lambda_1 + \lambda_2 + \epsilon - 2}}&&
\end{flalign*}
\QEDB
\end{addmargin}

\noindent\rule{\textwidth}{1pt}
\textbf{Exercise 1c) -- Solution:}\\\
\begin{addmargin}[1cm]{0cm}
\begin{flalign*}
\int d^dk & (-k^2 + 2p_1k)^{-\lambda_1} (-k^2 + 2p_2k)^{-\lambda_2} (-k^2)^{-\lambda_3}  \eqqcolon I&& p_1^2 = p_2^2 = 0,\ q = p_1 - p_2\\
=& \frac{\Gamma(\lambda_1 + \lambda_2 + \lambda_3)}{\Gamma(\lambda_1) \Gamma(\lambda_2) \Gamma(\lambda_3)} \int_0^1 dxdy\ x^{\lambda_1-1} y^{\lambda_2-1}(1-x-y)^{\lambda_3-1} \\ &\cdot \underbrace{\int d^dk [(-k^2+2p_1k)x + (-k^2+2p_2k)y + (-k^2)(1-x-y)]^{-(\lambda_1 + \lambda_2 + \lambda_3)}}_{I_1}
\end{flalign*}
\begin{flalign*}
I_1 =& \int d^dk [(-k^2+2p_1k)x + (-k^2+2p_2k)y + (-k^2)(1-x-y)]^{-(\lambda_1 + \lambda_2 + \lambda_3)} &&\\
=& \int d^dk [-k^2 + 2(p_1x + p_2y)k]^{-(\lambda_1 + \lambda_2 + \lambda_3)}\\
=& \int d^dk [-(k - (p_1x + p_2y))^2 + (p_1x + p_2y)^2]^{-(\lambda_1 + \lambda_2 + \lambda_3)}\\
=& \i \int d^d k_E [k_E^2 + \Delta]^{-(\lambda_1 + \lambda_2 +\lambda_3)}\ \ \ \ \  \text{with $k \to \i k_E$ and $\Delta = (p_1x + p_2y)^2$}\\
=& \i \frac{(2\pi)^d}{(4\pi)^{d/2}} \frac{\Gamma(\lambda_1 + \lambda_2 + \lambda_3 - d/2)}{\Gamma(\lambda_1 + \lambda_2 + \lambda_3)} \Delta^{d/2 - \lambda_1 - \lambda_2 - \lambda_3}\\
\end{flalign*}
We use $p_1^2 = p_2^2 = 0,\ q = p_1 - p_2$ to rewrite $\Delta$:
\begin{flalign*}
\Delta = (p_1x + p_2y)^2 = 2p_1 p_2xy = -q^2xy&&
\end{flalign*}
\begin{flalign*}
\int_0^1 dx&dy\ x^{\lambda_1-1} y^{\lambda_2-1} (1-x-y)^{\lambda_3-1} \Delta^{d/2 - \lambda_1 - \lambda_2 - \lambda_3}\\
=& (-q^2)^{d/2 - \lambda_1 - \lambda_2 - \lambda_3}\int_0^1 dxdy\ x^{d/2 - \lambda_2 - \lambda_3 - 1} y^{d/2 - \lambda_1 - \lambda_3 - 1} (1-x-y)^{\lambda_3-1} &&\\
=& (-q^2)^{d/2 - \lambda_1 - \lambda_2 - \lambda_3} \frac{\Gamma(d/2 - \lambda_1 - \lambda_3) \Gamma(d/2 - \lambda_2 - \lambda_3) \Gamma(\lambda_3)}{\Gamma(d - \lambda_1 - \lambda_2 - \lambda_3)}
\end{flalign*}
\begin{flalign*}
\Rightarrow I =& \i \pi^{d/2} \frac{\Gamma(2 - \lambda_1 - \lambda_3 - \epsilon) \Gamma(2 - \lambda_2 - \lambda_3 - \epsilon) \Gamma(\lambda_1 + \lambda_2 + \lambda_3 + \epsilon - 2) }{\Gamma(\lambda_1) \Gamma(\lambda_2) \Gamma(4 -\lambda_1 - \lambda_2 - \lambda_3 - 2\epsilon) (-q^2)^{\lambda_1 + \lambda_2 + \lambda_3 + \epsilon - 2}}&&
\end{flalign*}
\QEDB
\end{addmargin}
\noindent\rule{\textwidth}{1pt}
\clearpage
%\fi

\noindent\rule{\textwidth}{2pt}
\textbf{Exercise 2a) -- Solution:}\\\
\begin{addmargin}[1cm]{0cm}
\begin{flalign*}
I^{\mu\nu} =& p^\mu p^\nu C_1 + g^{\mu\nu} C_2 \overset!= \int \frac{d^dk k^\mu k^\nu}{((k+p)^2 - m_1^2)(k^2 - m_2^2)}&&\\
I_1 \coloneqq& g_{\mu\nu} I^{\mu\nu} = p^2C_1 + d C_2 \overset!= \int \frac{d^dk k^2}{((k+p)^2 - m_1^2)(k^2 - m_2^2)}\\
I_2 \coloneqq& p_\mu p_\nu I^{\mu\nu} = p^2(p^2C_1 + C_2) \overset!= \int \frac{d^dk (pk)^2}{((k+p)^2 - m_1^2)(k^2 - m_2^2)}\\
\Rightarrow C_1 =& \frac{p^2 I_1 - d I_2}{(1-d)(p^2)^2} = \int d^dk\frac{p^2 k^2 - d (pk)^2}{(1-d)(p^2)^2((k+p)^2 - m_1^2)(k^2 - m_2^2)}\\
C_2 =& \frac{p^2 I_1 - I_2}{(d-1)p^2} = \int d^dk\frac{p^2 k^2 - (pk)^2}{(d-1)p^2((k+p)^2 - m_1^2)(k^2 - m_2^2)}
\end{flalign*}
\end{addmargin}

\noindent\rule{\textwidth}{1pt}
\textbf{Exercise 2b) -- Solution:}\\\
\begin{addmargin}[1cm]{0cm}
We start by simplifying $I_1$:
\begin{flalign*}
I_1 =& \int d^dk\frac{k^2 - m_2^2 + m_2^2}{((k+p)^2 - m_1^2)(k^2 - m_2^2)}&&\\
=& \int d^dk\left[\frac1{(k+p)^2 - m_1^2} + \frac{m_2^2}{((k+p)^2 - m_1^2)(k^2 - m_2^2)}\right]\\
=& \int d^dk\left[\frac1{k^2 - m_1^2} + m_2^2\frac1{((k+p)^2 - m_1^2)(k^2 - m_2^2)}\right]\\
\eqqcolon& A_0(m_1) + m_2^2 B_0(p^2, m_1, m_2)\\
\overset!=& p^2 C_1 + d C_2
\end{flalign*}
In order to solve for $C_1$ and $C_2$ under usage of the given relation we want to consider an integral $I^\mu\sim k^\mu$, such that we can use the relation on $p_\mu I^\mu$ and relate it to $A_0$ and $B_0$:
\begin{flalign*}
I^\mu =& \int d^dk\frac{k^\mu}{((k+p)^2 - m_1^2)(k^2 - m_2^2)} \overset != b_1 p^\mu &&\\
\Rightarrow p_\mu I^\mu =& \int d^dk\frac{pk}{((k+p)^2 - m_1^2)(k^2 - m_2^2)} \overset != b_1 p^2 \\
=& \int d^dk\frac12 \frac{((k+p)^2 - m_1^2) - (k^2 - m_2^2) - (p^2+m_2^2 - m_1^2)}{((k+p)^2 - m_1^2)(k^2 - m_2^2)} \\
=& \frac12 \int d^dk \left[ \frac1{k^2 - m_2^2} - \frac1{(k+p)^2 - m_1^2} - (p^2+m_2^2 - m_1^2)\frac1{((k+p)^2 - m_1^2)(k^2 - m_2^2)} \right]\\
=& \frac12 \left[ A_0(m_2) - A_0(m_1) - (p^2+m_2^2 - m_1^2)B_0(p^2, m_1, m_2) \right]\\
\Rightarrow b_1 =& \frac 1{2p^2}\left[ A_0(m_2) - A_0(m_1) - (p^2+m_2^2 - m_1^2)B_0(p^2, m_1, m_2) \right]
\end{flalign*}
With an analogous calculation for $I_3^\nu = p_\mu I^{\mu\nu}$ we get:
\begin{flalign*}
I_3^\nu =& \int d^dk\frac{pk k^\nu}{((k+p)^2 - m_1^2)(k^2 - m_2^2)} &&\\
\overset{\text{ana}}=& \frac12 \int d^dk k^\nu \left[ \frac1{k^2 - m_2^2} - \frac1{(k+p)^2 - m_1^2} - (p^2+m_2^2 - m_1^2)\frac1{((k+p)^2 - m_1^2)(k^2 - m_2^2)} \right]\\
=& -\frac12 \int d^dk k^\nu \left[ \frac1{(k+p)^2 - m_1^2} + (p^2+m_2^2 - m_1^2)\frac1{((k+p)^2 - m_1^2)(k^2 - m_2^2)} \right]\\
\end{flalign*}
In the last step we used:
\begin{align*}
\int d^dk k^\mu f'(k^2) = \frac12 \int d^dk \del^\mu f(k^2) = 0 &&\forall f
\end{align*}
$I_3^\nu$ can be further simplified:
\begin{flalign*}
\int d^dk&\ k^\nu \frac1{(k+p)^2 - m_1^2} = \int d^dk \frac{k^\nu + p^\nu - p^\nu}{(k+p)^2 - m_1^2}&&\\
=& -\int d^dk p^\nu\frac1{(k+p)^2 - m_1^2}\\
=& -p^\nu A_0(m_1)\\
\Rightarrow I_3^\nu =& \frac 12 \left[ p^\nu A_0(m_1) - (p^2 + m_2^2- m_1^2)b_1 p^\nu \right]\\
\overset!=& p_\mu(p^\mu p^\nu C_1 + g^{\mu\nu} C_2)\\
=& p^\nu(p^2 C_1 + C_2)
\end{flalign*}
In conclusion we now have for $I_1$ and for $I_3$ independent expressions in terms of $A_0$ and $B_0$ and in terms of $C_1$ and $C_2$:
\begin{flalign*}
I_1 =& A_0(m_1) + m_2^2 B_0(p^2, m_1, m_2) = p^2 C_1 + d C_2&&\\
I_3^\nu =& \frac 12 p^\nu \left[ A_0(m_1) - (p^2 + m_2^2- m_1^2)b_1 \right] = p^\nu(p^2 C_1 + C_2)\\
\Rightarrow C_1 =& \frac 1 {(1-d)p^2} \left[ (1-\frac d2)A_0(m_1) + m_2^2 B_0(p^2, m_1, m_2) + \frac d2 (p^2 + m_2^2- m_1^2)b_1 \right]\\
C_2 =& \frac1{d-1}\left[ \frac12 A_0(m_1) + m_2^2 B_0(p^2, m_1, m_2) + \frac12 (p^2 + m_2^2- m_1^2)b_1 \right]
\end{flalign*} 
\end{addmargin}
\noindent\rule{\textwidth}{1pt}

%\iffalse
\textit{For reference, I include p.807 of Peskin here\footnote{Note however that Peskin gives the relations in Minkowski-space. To get the relations in Euclidean space, multiply the Minkowski relation with $-\i (-1)^{n}$ on the r.h.s and flip $\Delta \to -\Delta$ on the l.h.s.}:}
\includepdf[pages=-]{Peskin_p807}
%\fi

\end{document}

